package com.simuwang.logging;

import com.simuwang.base.common.support.MybatisPage;
import com.simuwang.base.pojo.dto.query.LogPageQuery;
import com.simuwang.base.pojo.vo.IdListVO;
import com.simuwang.base.pojo.vo.LoggingVO;

/**
 * @author wangzaijun
 * @date 2024/9/14 14:05
 * @description 系统操作日志保存服务
 */
public interface LoggingService {
    void asyncSave(Logging logging);

    MybatisPage<LoggingVO> searchLogList(LogPageQuery logPageQuery);

    void deleteLog(IdListVO idListVO);
}
